#!/usr/bin/gnuplot

VISCOSITY = 2.5e-6
VISCOSITYSLOPE1 = 2.0
VISCOSITYSLOPE2 = -0.5
VISCOSITYRADIUS = 1.0
VISCOSITYWIDTH = 0.15
MINIMUMVISCOSITY = 2.0e-6
MAXIMUMVISCOSITY = 5.0e-5

slope(r) = VISCOSITYSLOPE1 + (VISCOSITYSLOPE2-VISCOSITYSLOPE1)*(1.0 - tanh((VISCOSITYRADIUS-r)/VISCOSITYWIDTH))/2.0
nu(r) = VISCOSITY*(r/VISCOSITYRADIUS)**(-slope(r))

nu_(r) = \
  nu(r) < MINIMUMVISCOSITY ? MINIMUMVISCOSITY : \
  nu(r) > MAXIMUMVISCOSITY ? MAXIMUMVISCOSITY : \
  nu(r)

########################################################################

set xl "r [au]"
set yl "nu [c.u.]"

set xr [0.2:2.0]
set yr [0.0:5e-5]

set samples 1000

tmp=1.0; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0
tmp=0.45; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

p nu_(x),\
  3.36642e-6 w l lt 0

pa -1

set term png small
set out "nu.png"
rep

q



