#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P
g(m) = m*M_S/M_E

#F(x) = a + b*x
#fit F(x) "<awk '($1<28)' deltaa.out" u (g($7)):(($4-$3)/f($2)) via a,b

F(x) = a + b*x + c*x**2
fit F(x) "<awk '($1<28)' deltaa.out" u (g($7)):(($4-$3)/f($2)) via a,b,c

########################################################################

set xl "m_{end} [M_E]"
set yl "da/dt [au/yr]"

set zeroaxis
set key spacing 1.5

p "deltaa.out" u (g($7)):(($4-$3)/f($2)) w lp,\
  F(x) t sprintf("da/dt = %+.8e %+.8e*m %+.8e*m^2", a, b, c)
pa -1

set term png small
set out "deltaa.png"
rep

q

set xl "a_{ini} [au]"
set yl "delta a [au]"

p "deltaa.out" u 3:(($4-$3))
pa -1

set yl "da/dt [au/yr]"

p "deltaa.out" u 3:(($4-$3)/f($2))
pa -1

set yl "a_{shift} [au]"
DELTAT = 600000.

p "deltaa.out" u 3:(($4-$3)/f($2)*DELTAT)
pa -1

