#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 3.725
P = 20*dt

f(t) = t/P
h_p = 0.0018

set term png small size 1024,768
set out "it.png"

set tit "embryos_0.1ME_120"
set xl "time [P_orb]"
set yl "i [rad]"
set cbl "embryo number"

load "config.plt"

x1=0
x2=16000
set xr [x1:x2]
set yr [1.e-4:1.0]
set logscale y
set cbr [0:120]

p \
  "nbody.orbits.tmp" u (f($2)):5:1 not w l lc palette z,\
  "<tail -1 nbody.orbits.tmp" u (15500):5:($9*M_S/M_E/3.0*10.0):1 not w p lc palette z pt 7 ps var,\
  h_p w l lt 0,\
  3.0*h_p w l lt 0

q


