#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 3.725
P = 20*dt

f(t) = t/P
g(m) = log10(m*M_S/M_E)

set term png small size 1024,768
set out "mdot.png"

set tit "embryos_0.1ME_120"
set xl "time [P_orb]"
set yl "dM/dt [M_E/yr]"
set cbl "embryo number"

load "config.plt"

x1=0
x2=16000
set xr [x1:x2]
set yr [-9:-4]
set cbr [0:120]

p \
  "<cat nbody.orbits.tmp | ./dot.awk" u (f($2)):(g($9)):1 not w l lc palette z,\
  "<tail -2 nbody.orbits.tmp | ./dot.awk" u (15500):(g($9)):($9*M_S/M_E/3.0*10.0):1 not w p lc palette z pt 7 ps var

q


