#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 3.725
P = 20*dt

f(t) = t/P

set term png small size 1024,768
set out "qt.png"

set tit "embryos_0.1ME_120"
set xl "time [P_orb]"
set yl "q, r [au]"
set cbl "embryo number"

load "config.plt"

x1=0
x2=16000
Rmin=2.8
Rmax=16.0
DampingRminFrac=1.2
DampingRmaxFrac=0.9
set xr [x1:x2]
set yr [Rmin:Rmax]
set cbr [0:120]

p \
  "box.dat" u (x1+$1*(x2-x1)):(Rmin+$2*(DampingRminFrac*Rmin-Rmin)) w filledcurves not lc rgb '#cccccc',\
  "box.dat" u (x1+$1*(x2-x1)):(Rmax-$2*(Rmax-DampingRmaxFrac*Rmax)) w filledcurves not lc rgb '#dddddd',\
  "nbody.orbits.tmp" u (f($2)):(sqrt($11**2+$12**2+$13**2)) not w d lt 2,\
  "nbody.orbits.tmp" u (f($2)):($3*(1.0-$4)):1 not w l lc palette z,\
  "<tail -1 nbody.orbits.tmp" u (15500):($3*(1.0-$4)):($9*M_S/M_E/3.0*10.0):1 not w p lc palette z pt 7 ps var

q


