#!/usr/bin/gnuplot

AU_SI = 149597870700.0
MSOL_SI = 1.98855e30
SIGMA2CGS = MSOL_SI*1000.0/(AU_SI*100.0)**2

set term png small
set out "gasdens.png"

set xl "r [au]"
set yl "gasdens"

load "config.plt"
f(i) = Rmin+(Rmax-Rmin)*int(i/Nsec)/Nr

set yr [0:0.00100]

tmp=0.44; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

p "gasdens.cfg" u (f($0)):1 w l lw 3,\
  1700./SIGMA2CGS*x**(-1.5) w l lt 0,\
  750./SIGMA2CGS*x**(-1.5) w l lt 0
  


