#!/usr/bin/gnuplot

G = 6.67e-11
M_S = 1.989e30
M_E = 5.972e24
au = 1.496e11
g = 1.e-3
cm = 1.e-2
g(m) = m*M_S/M_E

q = 0.8*M_E/M_S
h = 0.04
Omega(r) = sqrt(G*M_S/r**3)  

# see _gasdens_CGS.plt
Sigma0 = 620.*g/cm**2
r0 = 1.0*au
Sigma(r) = r < r0 ? Sigma0*(r/r0)**(2.0) : Sigma0*(r/r0)**(-0.5)

# [Gamma0] = 1 g cm^-2 cm^4 s^-2 = g cm^2 s^-2
Gamma0(r) = (q/h)**2 * Sigma(r) * r**4 * Omega(r)**2

print "Gamma0(1 au) = ", Gamma0(1*au)/(g*cm**2), " g cm^2 s^-2"

########################################################################

# [Gamma] = [r x a] = m^2 s^-2

set xl "r [au]"
set tit "Gamma [cgs]"

set zeroaxis

p \
  "Venus.out"  u 1:($6*Gamma0($1*au) / (g*cm**2)),\
  "Venus.out"  u 1:7 w l

pa -1

q

set term png small
set out "Gamma_CGS.png"
rep


