#!/usr/bin/gnuplot

G = 6.67e-11
M_S = 1.989e30
M_E = 5.972e24
au = 1.496e11
g = 1.e-3
cm = 1.e-2
g(m) = m*M_S/M_E

q = 0.8*M_E/M_S
h = 0.4
Omega(r) = sqrt(G*M_S/r**3)  

# see _gasdens_CGS.plt
Sigma0 = 620.*g/cm**2
r0 = 1.0*au
Sigma(r) = r < r0 ? Sigma0*(r/r0)**(2.0) : Sigma0*(r/r0)**(-0.5)

# [Gamma0] = 1 g cm^-2 cm^4 s^-2 = g cm^2 s^-2
# ??? Why factor 100?
Gamma0(r) = (q/h)**2 * Sigma(r) * r**4 * Omega(r)**2 * 100

print "Gamma0(1 au) = ", Gamma0(1*au)/(g*cm**2), " g cm^2 s^-2"

########################################################################

set xl "m [M_E]"
set yl "r [au]"
set tit "Gamma_{lin} [cgs] (Lindblad)"

x1=-0.05
x2=1.05
set xr [x1:x2]
y1=0.20
y2=1.80
set yr [y1:y2]
c1=-4.0
c2=4.0
set cbr [c1:c2]

set palette defined (\
  (c1  -c1)/(c2-c1) '#aa00ff',\
  (-1.5-c1)/(c2-c1) 'blue'   ,\
  (-0.5-c1)/(c2-c1) 'cyan'  ,\
  ( 0.0-c1)/(c2-c1) 'white' ,\
  (+0.5-c1)/(c2-c1) 'orange',\
  (c2  -c1)/(c2-c1) 'red'    \
  )

set colorbox
set zeroaxis
set xyplane 0.0

sp \
  "massdataGamma0.out_10"  u (g($2)):1:($3*Gamma0($1*au) / (g*cm**2)) w d not,\

pa -1  

q

set term png small
set out "Gamma_LINDBLAD.png"



