#!/usr/bin/gnuplot

G = 6.67e-11
M_S = 1.989e30
M_E = 5.972e24
au = 1.496e11
g = 1.e-3
cm = 1.e-2
yr = 365.25*86400.0
g(m) = m*M_S/M_E

h = 0.4
Omega(r) = sqrt(G*M_S/r**3)  

# see _gasdens_CGS.plt
Sigma0 = 620.*g/cm**2
r0 = 1.0*au
Sigma(r) = r < r0 ? Sigma0*(r/r0)**(2.0) : Sigma0*(r/r0)**(-0.5)

# [Gamma0] = 1 g cm^-2 cm^4 s^-2 = g cm^2 s^-2
# ??? Why factor 100?
q(m) = m/M_S
Gamma0(r,m) = (q(m)/h)**2 * Sigma(r) * r**4 * Omega(r)**2 * 100
print "Gamma0(0.8 M_E,1 au) = ", Gamma0(1*au,0.8*M_E)/(g*cm**2), " g cm^2 s^-2"

dadt(r,m,Gamma_cgs) = 2*Gamma_cgs*g*cm**2/(r*au*Omega(r*au)*m*M_S) / (1.e-6*au/yr)

########################################################################

set xl "m [M_E]"
set yl "r [au]"
set tit "da/dt_{lin} [10^{-6} au/yr] (Lindblad)"

x1=-0.05
x2=1.05
set xr [x1:x2]
y1=0.20
y2=1.80
set yr [y1:y2]
c1=-4.0
c2=4.0
set cbr [c1:c2]
set zr [c1:c2]

set palette defined (\
  (c1  -c1)/(c2-c1) '#aa00ff',\
  (-1.5-c1)/(c2-c1) 'blue'   ,\
  (-0.5-c1)/(c2-c1) 'cyan'  ,\
  ( 0.0-c1)/(c2-c1) 'white' ,\
  (+0.5-c1)/(c2-c1) 'orange',\
  (c2  -c1)/(c2-c1) 'red'    \
  )

set colorbox
set zeroaxis
set xyplane 0.0

sp \
  "massdataGamma0.out_10"  u (g($2)):1:(dadt($1,$2,$7)) w d,\
  "massdataGamma0.out_10"  u (g($2)):1:(dadt($1,$2,($3)*Gamma0($1*au,$2*M_S)/(g*cm**2))) w d,\
  0.0 w d lt 0

pa -1  

q

  "massdataGamma0.out_10"  u (g($2)):1:(dadt($1,$2,($3+$4+$5)*Gamma0($1*au,$2*M_S)/(g*cm**2))) w p,\



