#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

g(m) = m*M_S/M_E

########################################################################

set term png small
set out "Gamma_LplusCE.png"

set xl "m [M_E]"
set yl "r [au]"
set tit "Gamma_{lin}+Gamma_{c,ent} [Gamma_0] (Lindblad+corotation entropy)"

x1=-0.05
x2=1.05
set xr [x1:x2]
y1=0.20
y2=1.80
set yr [y1:y2]
c1=-4.0
c2=4.0
set cbr [c1:c2]

set palette defined (\
  (c1  -c1)/(c2-c1) '#aa00ff',\
  (-1.5-c1)/(c2-c1) 'blue'   ,\
  (-0.5-c1)/(c2-c1) 'cyan'  ,\
  ( 0.0-c1)/(c2-c1) 'white' ,\
  (+0.5-c1)/(c2-c1) 'orange',\
  (c2  -c1)/(c2-c1) 'red'    \
  )

set colorbox
set zeroaxis
set pm3d map

sp \
  "massdataGamma0.out"  u (g($2)):1:($3+$5)

q



